/* 
Theme Name:		 Hello Biz Child
Author:			 Raffaele Sassano
Template:		 hello-biz
Version:		 1.0.0
Text Domain:	 Hello Biz Child
*/

/*--- General ---*/

html {
    --swiper-pagination-bullet-inactive-opacity: 0.5;
    
    
	--sketched-border-radius: 255px 15px 225px 15px/15px 225px 15px 255px;
	--sketched-border-radius-only-left: 255px 0 0 15px/15px 225px 15px 255px;
  	--sketched-border-radius-only-right: 0 15px 225px 0/15px 225px 15px 255px;
	--sketched-border-radius-less: 355px 8px 200px 8px/8px 200px 8px 355px;
	
	height: 100%;
}



[id] {
    scroll-margin-top: 160px;
}

b,
strong {
	font-weight: 700;
}

.elementor-button-icon svg {
    fill: currentColor;
}


.elementor-nav-menu a,
.elementor-nav-menu a:focus,
.elementor-nav-menu a:hover {
    line-height: var(--e-global-typography-text-line-height) !important;
}
	
	
@media all and (max-width: 767px) {
	
	.elementor-widget-text-editor ul {
    	padding-inline-start: 26px;
	}
}


/*--- Text Highlighting ---*/

.em-highlighted em,
.highlighted {
    font-style: normal;
    color: var(--e-global-color-accent);
}

.em-highlighted-underline em,
.em-highlighted-underline-transparent em,
.highlighted-underline,
.highlighted-underline-transparent {
    font-style: normal;
    
    --underline-color: var(--e-global-color-accent);
    background: linear-gradient(0deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0) 20%, var(--underline-color) 20%, var(--underline-color) 41%, rgba(0, 0, 0, 0) 41%);
    text-decoration: underline;
    text-decoration-color: var(--underline-color);
    text-underline-offset: 0;
    text-decoration-thickness: 5px;
    text-decoration-skip-ink: none;
}

.em-highlighted-underline-transparent em,
.highlighted-underline-transparent {
    --underline-color: color-mix(in srgb, var(--e-global-color-accent) 25%, transparent);
}



/*--- Shiny Effects ---*/

.shiny-right-bottom,
.shiny-left-bottom,
.shiny-right-top {
    position: relative;
    z-index: 3;
    
    --shiny-color: var(--e-global-color-90b34f8);
		
	overflow: hidden;
}
	

.shiny-right-bottom:before,
.shiny-left-bottom:before,
.shiny-right-top:before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    top: unset;
    left: unset;
    width: 100%;
    height: 100%;
    opacity: 0.7;
    z-index: 2;
}

.shiny-right-bottom:before {
    background-image: radial-gradient(circle at 100% 100%, var(--shiny-color) 0, transparent 60%);
}

.shiny-left-bottom:before {
    background-image: radial-gradient(circle at 0% 100%, var(--shiny-color) 0, transparent 60%);
}

.shiny-right-top:before {
    background-image: radial-gradient(circle at 100% 0%, var(--shiny-color) 0, transparent 60%);
}

/*.shiny-topp-right:before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: unset;
    left: unset;
    width: max(50vw, 600px);
    height: 100%;
    transform: scaleX(-1) rotate(45deg) translate(-35%);
    transform-origin: center;
    background-image: url('https://bettyschaetzchen.entwickeln-rs.de/wp-content/uploads/bettyschaetzchen-gradient-background-additional-v2.svg');
    background-size: contain;
    z-index: 1;
    background-repeat: no-repeat;
    opacity: 0.15;
    z-index: 1;
}*/
	
	
/*--- Heading Accent Divider ---*/
.heading-accent-left,
.heading-accent-full-left,
.heading-accent-right,
.heading-accent-full-right,
.heading-accent-left .elementor-heading-title,
.heading-accent-full-left .elementor-heading-title,
.heading-accent-right .elementor-heading-title,
.heading-accent-full-right .elementor-heading-title {
	display: block;
	width: 100%;
	position: relative;
}

.heading-accent-left .elementor-heading-title:after,
.heading-accent-full-left .elementor-heading-title:after,
.heading-accent-right .elementor-heading-title:after,
.heading-accent-full-right .elementor-heading-title:after {
    content: '';
    position: absolute;
    top: 0.75em;
	width: 140px;
    height: 0.5px;
    background-color: var(--e-global-color-primary);
    z-index: 0;
}
	
.heading-accent-left .elementor-heading-title:after {
	--space: 30px;

	
	right: calc(100% + var(--space));
	left: unset;
}
		
.heading-accent-full-left .elementor-heading-title:after {
	--space: 30px;
	
	width: 100vw;
	left: calc(-100vw - var(--space));
	right: unset;
}
	
.heading-accent-right .elementor-heading-title:after {
	
	--space: 0px;

	
	left: calc(100% + var(--space));
	right: unset;
}

.heading-accent-full-right .elementor-heading-title:after {
	--space: 30px;
	
	width: 100vw;
	right: calc(-100vw - var(--space));
	left: unset;
}
		
		
		
@media all and (max-width: 1024px) {
	
	.heading-accent-left .elementor-heading-title:after,
    .heading-accent-full-left .elementor-heading-title:after,
	.heading-accent-1024-left .elementor-heading-title:after,
    .heading-accent-full-right .elementor-heading-title:after {
        --space: 20px;
    }
			
	.heading-accent-1024-left .elementor-heading-title:after {
		left: calc(-140px - var(--space)) !important;
		right: unset !important;
        width: 140px !important;
	}
}
		
				
@media all and (max-width: 767px) {
	
	.heading-accent-left .elementor-heading-title:after,
	.heading-accent-full-left .elementor-heading-title:after,
	.heading-accent-767-left .elementor-heading-title:after,
    .heading-accent-full-right .elementor-heading-title:after {
        --space: 15px;
}
	
	.heading-accent-767-left .elementor-heading-title:after {
		left: calc(-140px - var(--space)) !important;
		right: unset !important;
        width: 140px !important;
	}
}


	
	

/*--- Extend Header by Scroll ---*/

header {
    top: 0;
    z-index: 999;
    -webkit-transform: translateY(0%);
    -ms-transform: translateY(0%);
    transform: translateY(0%);
    -webkit-transition: -webkit-transform .5s;
    transition: -webkit-transform .5s;
    -o-transition: transform .5s;
    transition: transform .5s;
    transition: transform .5s,-webkit-transform .5s;
    position: sticky;
}


body:not(.home).scroll-js-half-paged header {
    -webkit-transform: translateY(-100%);
    -ms-transform: translateY(-100%);
    transform: translateY(-100%)
}

body:not(.home).scroll-js-scrolled-up header {
    -webkit-transform: translateY(0%);
    -ms-transform: translateY(0%);
    transform: translateY(0%)
}

body:not(.home) header:hover {
    -webkit-transform: translateY(0%) !important;
    -ms-transform: translateY(0%) !important;
    transform: translateY(0%) !important
}


/*--- Elementor Widget Carousel ---*/

.elementor-widget-image-carousel {
    max-height: 100% !important;
}

.elementor-widget-image-carousel .elementor-image-carousel-wrapper,
.elementor-widget-image-carousel figure.swiper-slide-inner,
.elementor-widget-image-carousel img {
    height: 100%;
}

.elementor-widget-image-carousel img {
    width: 100%;
    object-fit: cover;
    object-position: bottom center;
}
	


/*--- Elementor Widget Animated Headline ---*/

@media all and (max-width: 768px) {
    
    .elementor-widget-animated-headline:not(.not-extra-space) .elementor-headline-plain-text {
        display: block;
        margin-top: 20px;
    }
    
    .elementor-widget-animated-headline .elementor-headline-dynamic-wrapper {
        display: inline;
    }
}



/*--- Elementor Widget Icon List ---*/

.elementor-widget-icon-list .elementor-icon-list-text {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}



/*--- Interviews ---*/

.interviews-grid {
    --gap-between-elements: 40px;
    --element-width: max(210px, 27%);
    align-items: stretch !important;
}

@media all and (max-width: 1023px) {
    .interviews-grid {
        --element-width: 250px;
    }
}

@media all and (max-width: 800px) {
    .interviews-grid {
        --gap-between-elements: 30px;
        --element-width: min(200px, 60%);
    }
}

.interviews-grid a * {
    color: var(--e-global-color-text);
}

.interviews-grid a {
    border-width: 1px 1px 1px 0;
    border-style: solid;
    border-color: var(--e-global-color-2989210);
}

.interviews-grid a:hover {
    background-color: var(--e-global-color-2989210);
}

.interviews-grid a:hover:before {
    background-color: var(--e-global-color-90b34f8);
}

.interviews-grid a:after {
    content: "\2197";
    position: absolute;
    bottom: 8px;
    right: 8px;
    font-family: eicons;
    font-size: 20px;
    color: var(--e-global-color-text);
}



.interviews-grid .elementor-widget-text-editor {
    padding-left: 36px;
}

.interviews-grid a {
    display: block;
    position: relative;
    padding: 16px 16px 16px 0;
    height: 100%;
}

.interviews-grid a:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    height: 100%;
    width: 6px;
    background-color: var(--e-global-color-primary);
}